org.apache.commons.math3.optim.nonlinear.scalar

## Class ObjectiveFunctionGradient

- java.lang.Object
- - org.apache.commons.math3.optim.nonlinear.scalar.ObjectiveFunctionGradient

- All Implemented Interfaces:
    OptimizationData

      public class ObjectiveFunctionGradient
      extends java.lang.Object
      implements OptimizationData

  Gradient of the scalar function to be optimized.
  Since:
    3.1
  Version:
    $Id$

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private MultivariateVectorFunction` | `gradient` Function to be optimized.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectiveFunctionGradient(MultivariateVectorFunction g)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `MultivariateVectorFunction` | `getObjectiveFunctionGradient()` Gets the gradient of the function to be optimized.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### gradient

          private final MultivariateVectorFunction gradient

      Function to be optimized.

  - ### Constructor Detail

    - #### ObjectiveFunctionGradient

          public ObjectiveFunctionGradient(MultivariateVectorFunction g)

      Parameters:
        `g` - Gradient of the function to be optimized.

  - ### Method Detail

    - #### getObjectiveFunctionGradient

          public MultivariateVectorFunction getObjectiveFunctionGradient()

      Gets the gradient of the function to be optimized.
      Returns:
        the objective function gradient.

Copyright (c) 2003-2013 Apache Software Foundation